Bug 477324 - Have you looked at optimizations in xaos?
Have you looked at optimizations in xaos?
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xaos (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-20 10:56 EST by Richard W.M. Jones
Modified: 2009-07-27 17:39 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.5-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-27 17:32:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Suggested patch to xaos.spec (1.06 KB, patch)
2008-12-20 10:57 EST, Richard W.M. Jones
no flags Details | Diff

  None (edit)
Description Richard W.M. Jones 2008-12-20 10:56:31 EST
Current xaos doesn't enable thread support, and so it can
only utilize a single core on today's multicore machines.
It might also be worth enabling i386 inline assembly (for
i386 only) and 'long double' (on i386 & x86_64).

There is a small penalty for enabling threads, unless you
actually use > 1 threads in which case of course it's a big
win.

Here are some measurements, all measured on a 4 core AMD,
using 'xaos -speedtest [-threads N]':

Current xaos-3.4-2:

Driver speed: 1160 FPS (573.4863 MBPS)
Memcpy speed: 34138.4 FPS (16877.5049 MBPS)
Missaligned memcpy speed: 18535 FPS (9163.4216 MBPS)
Size 6 memcpy speed: 1180 FPS (583.3740 MBPS)
Result:0 Formulaname:Mandelbrot Time:104935 Mloops per sec:190.59
Result:0 Formulaname:Mandelbrot Time:103556 Mloops per sec:193.13
New image caluclation took 0.0050994 seconds (2e+02 fps)
Approximation loop speed: 1381.8 FPS

Added long-double, thread support, using a single thread:

Driver speed: 1202.2 FPS (594.3494 MBPS)
Memcpy speed: 19844.8 FPS (9810.9668 MBPS)
Missaligned memcpy speed: 18606.6 FPS (9198.8196 MBPS)
Size 6 memcpy speed: 1018.2 FPS (503.3826 MBPS)
Result:0 Formulaname:Mandelbrot Time:103142 Mloops per sec:193.91
Result:0 Formulaname:Mandelbrot Time:111102 Mloops per sec:180.01
New image caluclation took 0.0062816 seconds (1.6e+02 fps)
Approximation loop speed: 1347.8 FPS

(It's not clear what happened to 'Memcpy speed' in that test,
but it doesn't seem to affect the performance very much).

Added long-double, thread support, using 4 threads:

Driver speed: 1222.4 FPS (604.3359 MBPS)
Memcpy speed: 34212.4 FPS (16914.0894 MBPS)
Missaligned memcpy speed: 18561.2 FPS (9176.3745 MBPS)
Size 6 memcpy speed: 1274.6 FPS (630.1428 MBPS)
Result:0 Formulaname:Mandelbrot Time:103200 Mloops per sec:193.80
Result:0 Formulaname:Mandelbrot Time:111225 Mloops per sec:179.82
New image caluclation took 0.008562 seconds (1.2e+02 fps)
Approximation loop speed: 4334 FPS
Comment 1 Richard W.M. Jones 2008-12-20 10:57:24 EST
Created attachment 327539 [details]
Suggested patch to xaos.spec
Comment 2 Bug Zapper 2009-06-09 06:20:02 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora Update System 2009-07-25 18:15:42 EDT
xaos-3.5-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xaos-3.5-1.fc10
Comment 4 Gérard Milmeister 2009-07-25 18:17:05 EDT
The i386asm option is no longer available in release 3.5.
Comment 5 Fedora Update System 2009-07-25 18:32:41 EDT
xaos-3.5-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xaos-3.5-1.fc11
Comment 6 Fedora Update System 2009-07-27 17:31:55 EDT
xaos-3.5-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-07-27 17:39:07 EDT
xaos-3.5-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.